curl --request POST \
--url 'https://api.stateset.com/api/v1/serials' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"serial": "string",
"sku": "SKU-TENT-2P-GRN"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"serial": "string",
"sku": "SKU-TENT-2P-GRN",
"sold_at": "2026-08-31T14:22:05Z",
"status": "pending"
}
Create a serial
Create a serial
POST
/
api
/
v1
/
serials
curl --request POST \
--url 'https://api.stateset.com/api/v1/serials' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"serial": "string",
"sku": "SKU-TENT-2P-GRN"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"serial": "string",
"sku": "SKU-TENT-2P-GRN",
"sold_at": "2026-08-31T14:22:05Z",
"status": "pending"
}
Request body
CreateSerialRequest
string,null
string,null
string,null
string,null
Serial string; auto-generated when omitted.
string
required
Response
SerialResponse
string
required
string
required
string,null
string,null
string
required
string
required
string,null
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/serials' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"serial": "string",
"sku": "SKU-TENT-2P-GRN"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lot_number": "string",
"serial": "string",
"sku": "SKU-TENT-2P-GRN",
"sold_at": "2026-08-31T14:22:05Z",
"status": "pending"
}
Last modified on August 31, 2026